package com.ruoyi.mxjb.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mxjb.mapper.MxjbPaperAnswersMapper;
import com.ruoyi.mxjb.domain.MxjbPaperAnswers;
import com.ruoyi.mxjb.service.IMxjbPaperAnswersService;

/**
 * AI答题卡Service业务层处理
 * 
 * @author mingxue
 * @date 2021-12-25
 */
@Service
public class MxjbPaperAnswersServiceImpl implements IMxjbPaperAnswersService 
{
    @Autowired
    private MxjbPaperAnswersMapper mxjbPaperAnswersMapper;

    /**
     * 查询AI答题卡
     * 
     * @param answerId AI答题卡ID
     * @return AI答题卡
     */
    @Override
    public MxjbPaperAnswers selectMxjbPaperAnswersById(Long answerId)
    {
        return mxjbPaperAnswersMapper.selectMxjbPaperAnswersById(answerId);
    }

    /**
     * 查询AI答题卡列表
     * 
     * @param mxjbPaperAnswers AI答题卡
     * @return AI答题卡
     */
    @Override
    public List<MxjbPaperAnswers> selectMxjbPaperAnswersList(MxjbPaperAnswers mxjbPaperAnswers)
    {
        return mxjbPaperAnswersMapper.selectMxjbPaperAnswersList(mxjbPaperAnswers);
    }

    /**
     * 新增AI答题卡
     * 
     * @param mxjbPaperAnswers AI答题卡
     * @return 结果
     */
    @Override
    public int insertMxjbPaperAnswers(MxjbPaperAnswers mxjbPaperAnswers)
    {
        return mxjbPaperAnswersMapper.insertMxjbPaperAnswers(mxjbPaperAnswers);
    }

    /**
     * 修改AI答题卡
     * 
     * @param mxjbPaperAnswers AI答题卡
     * @return 结果
     */
    @Override
    public int updateMxjbPaperAnswers(MxjbPaperAnswers mxjbPaperAnswers)
    {
        return mxjbPaperAnswersMapper.updateMxjbPaperAnswers(mxjbPaperAnswers);
    }

    /**
     * 批量删除AI答题卡
     * 
     * @param answerIds 需要删除的AI答题卡ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperAnswersByIds(Long[] answerIds)
    {
        return mxjbPaperAnswersMapper.deleteMxjbPaperAnswersByIds(answerIds);
    }

    /**
     * 删除AI答题卡信息
     * 
     * @param answerId AI答题卡ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperAnswersById(Long answerId)
    {
        return mxjbPaperAnswersMapper.deleteMxjbPaperAnswersById(answerId);
    }
}
